
var wireless = System.Network.Wireless;
var status;
var max_ssid=20;	//max ssid length

//Checking network details
function networkDetails()
{	
	var ssid = wireless.ssid;
	var Strength = wireless.signalStrength;
	var ip = wireless.address;
	var primaryDNS = wireless.primaryDNSAddress;
	var security = wireless.secureConnection;
	var dns = wireless.primaryDNSAddress;
	var ipv6= wireless.ipv6Address;	//IPv6
	
	
	//If connected display, the network information, if there's an SSID then you are connected
	if (ssid != "")
	{
		status = true;
		
	//shortens the longer ssid names 
		if(ssid.length>max_ssid){
							ssid=ssid.substr(0,max_ssid-3)+"...";
						  }
	//shortens the longer ssid names 

		document.getElementById('networkDetailsStatus').innerText = "Status: Connected";
		document.getElementById('networkDetailsssid').innerText = "SSID: " + ssid;
		document.getElementById('networkDetailsSignalPercent').innerText = "Signal: " + Strength + "%";
		document.getElementById('networkDetailsAddress').innerText = "Local IP: " + wireless.address;
		document.getElementById('networkDetailsAddress6').innerHTML = "IPv6: " + "<span class=ipv6>" + ipv6 + "</span>";
		if(security == true)
		{
			document.getElementById('networkDetailsSecurity').innerText = "Security: Yes"
		}
		else
		{
			document.getElementById('networkDetailsSecurity').innerText = "Security: Open"
		}
		document.getElementById('networkDetailsDns').innerText = "Configure AccessPoint";
		
	}
	//If not connected, then display the filler
	else
	{	
		status = false;
		document.getElementById('networkDetailsStatus').innerText = "Status: Disconnected";
		document.getElementById('networkDetailsssid').innerText = "SSID: --";
		document.getElementById('networkDetailsSignalPercent').innerText = "Signal: --";
		document.getElementById('networkDetailsAddress').innerText = "Local IP: --";
		document.getElementById('networkDetailsAddress6').innerText = "IPv6: --";
		document.getElementById('networkDetailsSecurity').innerText = "Security: --";
		document.getElementById('networkDetailsDns').innerText = "Connect to a Network";
	}
	if (status == true)
	{	
		if (Strength > 79)
		{
			document.getElementById('networkDetailsQuality').innerText = "Quality: Excellent";
		}
		else if (Strength > 59)
		{
			document.getElementById('networkDetailsQuality').innerText = "Quality: Very Good";
		}
		else if (Strength > 39)
		{
			document.getElementById('networkDetailsQuality').innerText = "Quality: Good";
		}
		else if (Strength > 19)
		{
			document.getElementById('networkDetailsQuality').innerText = "Quality: Low";
		}
		else if (Strength > 0)
		{
			document.getElementById('networkDetailsQuality').innerText = "Quality: Very Low";
		}
		else
		{
			document.getElementById('networkDetailsQuality').innerText = "Quality: Out Of Range";
		}
	}
	else
	{
		document.getElementById('networkDetailsQuality').innerText = "Quality: --";
	}

	//Refresh network information when changing network
	wireless.connectionChanged = networkDetails;

	//Refresh network information when signal strength changes
	wireless.signalStrengthChanged = networkDetails;
}

//Getting the Device IPv4 DNS Address
function getDns()
{
	var ssid = wireless.ssid;
	if (ssid != "")
	{
		System.Shell.execute('http://' + wireless.primaryDNSAddress);
	}
	else
	{
		System.Shell.execute("::{20d04fe0-3aea-1069-a2d8-08002b30309d}\\::{21ec2020-3aea-1069-a2dd-08002b30309d}\\::{38A98528-6CBF-4CA9-8DC0-B1E1D10F7B1B}");
	}
}
